diff --git a/docs/api/changelog.zh.md b/docs/api/changelog.zh.md
index d864e73b80..6034d24293 100644
--- a/docs/api/changelog.zh.md
+++ b/docs/api/changelog.zh.md
@@ -2,24 +2,26 @@
 title: 发布日志
 order: 10
 ---
+
 ## 2020.03.12 2.1 正式版
 
 ###✨ Features
 
-• 新增 l7-react版本
+•  新增 l7-react 版本
 • 可自定义样式的聚合图 MakerLayer
-• 新增 quantile、quantize度量
+• 新增 quantile、quantize 度量
 • 地图导出功能
 
- ### 🍏 Improvements
+### 🍏 Improvements
 
 • IE 11 支持
 • 更新拾取机制，拾取更高效
 • 优化依赖包减少包体积
 
 ### 🐞 Bug Fixes
+
 • setData 更新机制
-• color,size,shape更新重绘问题
+• color,size,shape 更新重绘问题
 
 ## 2020.03.12 2.1 正式版
 
diff --git a/examples/react/covid/demo/covid_extrude.tsx b/examples/react/covid/demo/covid_extrude.tsx
index d178218706..c91670d5cd 100644
--- a/examples/react/covid/demo/covid_extrude.tsx
+++ b/examples/react/covid/demo/covid_extrude.tsx
@@ -154,7 +154,7 @@ const World = React.memo(function Map() {
               values: 0.6,
             }}
             color={{
-              values: '#FCE2D7',
+              values: '#aaa',
             }}
             shape={{
               values: 'line',
diff --git a/examples/react/covid/demo/covid_fill.tsx b/examples/react/covid/demo/covid_fill.tsx
index a506dfe508..166bae9c7a 100644
--- a/examples/react/covid/demo/covid_fill.tsx
+++ b/examples/react/covid/demo/covid_fill.tsx
@@ -145,7 +145,7 @@ const World = React.memo(function Map() {
               values: 0.6,
             }}
             color={{
-              values: '#f00', // 描边颜色
+              values: '#aaa', // 描边颜色
             }}
             shape={{
               values: 'line',
diff --git a/packages/layers/src/point/shaders/fill_frag.glsl b/packages/layers/src/point/shaders/fill_frag.glsl
index 80b617be1b..81a658995a 100644
--- a/packages/layers/src/point/shaders/fill_frag.glsl
+++ b/packages/layers/src/point/shaders/fill_frag.glsl
@@ -76,7 +76,7 @@ void main() {
   if(u_aimate.x == Animate) {
     float d = length(v_data.xy);
     float intensity = clamp(cos(d * PI), 0.0, 1.0) * clamp(cos(2.0 * PI * (d * 2.0 * u_aimate.z - u_aimate.y * u_time)), 0.0, 1.0);
-    gl_FragColor = vec4(gl_FragColor.xyz * intensity, intensity);
+    gl_FragColor = vec4(gl_FragColor.xyz, intensity);
   }
 
   gl_FragColor = filterColor(gl_FragColor);
diff --git a/packages/layers/src/point/shaders/text_frag.glsl b/packages/layers/src/point/shaders/text_frag.glsl
index 42bdb902e2..477744381d 100644
--- a/packages/layers/src/point/shaders/text_frag.glsl
+++ b/packages/layers/src/point/shaders/text_frag.glsl
@@ -29,7 +29,6 @@ void main() {
   highp float gamma_scaled = gamma * v_gamma_scale;
 
   highp float alpha = smoothstep(buff - gamma_scaled, buff + gamma_scaled, dist);
-
-  gl_FragColor = mix(v_color * u_opacity, u_stroke * u_stroke_opacity, smoothstep(0., 0.5, 1. - dist)) * alpha;
+  gl_FragColor = mix(vec4(v_color.rgb, v_color.a * u_opacity), vec4(u_stroke.rgb, u_stroke.a * u_opacity), smoothstep(0., 0.5, 1. - dist)) * alpha;
   gl_FragColor = filterColor(gl_FragColor);
 }
